New Telit Python Package

3 thoughts on “New Telit Python Package

  1. Dear Telit Tech Support, 


    Besides the Telit Python Win 1.5.2+ "Oct 1 2004" which’s almost 10 years! and frustrating to work with; Is there really and will there ever be a newer version or patches of Telit PythonWin Package?



    1. Are you talking about PythonWin, Python version itself or libraries?

      If Python, this is what is runnning on modules and the same version should be on the desktop; I guess is about resources, because newer xE910 modules, with more resources, have 2.7 version.

      If PythonWin, nobody stops to use a newer version, or something else like Eclipse, moving the required libraries and utilities; if you are really using it in this way will be a nightmare to use 1.5.2 syntax on it.

      If the libraries, they are again on par with module’s ones, and they do their job, aren’t they?

      1. Thanks for the reply, though confusing.


        Is just that the pythonwin performance is unreliable; sometimes the same code works, doesn’t work, crashes every now and then especially the version running on the computer.